<section class="housing-allowance-container">
  <div class="header-label" *ngIf="pageType === 'housingAllowance';else travelAllowance">
    <span class="hr-image">
      <i class="fa fa-home"></i>
    </span>
    <span class="admin-name">Housing Allowance Management</span>
  </div>
  <ng-template #travelAllowance>
    <div class="header-label">
      <span class="hr-image">
        <i class="fa fa-car"></i>
      </span>
      <span class="admin-name">Travel Allowance Management</span>
    </div>
  </ng-template>
  <mat-card class="ham-form-container">
    <form [formGroup]="hamFormGroup" #formEntries="ngForm">
      <div class="parent-form">
        <mat-form-field class='sub-list'>
          <mat-label>Choose option one</mat-label>
          <mat-select name="typeOne" formControlName="typeOne">
            <mat-option *ngFor="let type of typeOneArray" [value]="type" (click)="updateSelection(type)">
              {{type}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field class='sub-list'>
          <mat-label>Choose option Two</mat-label>
          <mat-select name="typeTwo" formControlName="typeTwo">
            <mat-option *ngFor="let type of typeTwoArray" [value]="type" (click)="updateSelection(type)">
              {{type}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="selection-list">
        <ul>
          <li *ngFor="let selection of selectionArr.controls; let i = index" [formGroup]="selection">
            <span class="s-no">{{i+1}}</span>
            <mat-form-field class='sub-list' *ngIf="hamFormGroup.controls['typeOne'].value === 'Employee'">
              <mat-label>Select employee</mat-label>
              <mat-select name="employeeId" formControlName="employeeId">
                <mat-option *ngFor="let employee of employeeList" [value]="employee?.emailAddress"
                  (click)="updatePencentage(employee?.nationality, i)">
                  {{employee?.emailAddress}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field class='sub-list' *ngIf="hamFormGroup.controls['typeOne'].value === 'Grade'">
              <mat-label>Grade From</mat-label>
              <mat-select name="fromGrade" formControlName="fromGrade">
                <mat-option *ngFor="let grade of [6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]"
                  [value]="grade" (click)="validateChanges(i)">
                  {{grade}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field class='sub-list' *ngIf="hamFormGroup.controls['typeOne'].value === 'Grade'">
              <mat-label>Grade To</mat-label>
              <mat-select name="toGrade" formControlName="toGrade">
                <mat-option *ngFor="let grade of [6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]"
                  [value]="grade" (click)="validateChanges(i)">
                  {{grade}}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field class='sub-list' *ngIf="hamFormGroup.controls['typeTwo'].value === 'Fixed Amount'">
              <mat-label>Fixed Amount</mat-label>
              <input type="text" matInput formControlName="fixedAmount" placeholder="Fixed Amount"
                autocomplete="off" (keyup)="validateNumber('fixedAmount', i)" />
            </mat-form-field>
            <mat-form-field class='sub-list' *ngIf="hamFormGroup.controls['typeTwo'].value === 'Percentage of Salary'">
              <mat-label>Percentage</mat-label>
              <mat-select name="percentage" formControlName="percentage">
                <mat-option *ngFor="let percent of percentageValues" [value]="percent" (click)="updateOthers('', i)">
                  {{percent}} %
                </mat-option>
                <mat-option value="Others" (click)="updateOthers('Others', i)">Others</mat-option>
              </mat-select>
            </mat-form-field>
            <mat-form-field
              *ngIf="hamFormGroup.controls['typeTwo'].value === 'Percentage of Salary' && selection.controls['percentage'].value === 'Others'"
              class="others">
              <mat-label>Other Percentage</mat-label>
              <input type="text" (keyup)="validateNumber('otherPercentage', i)" matInput formControlName="otherPercentage" placeholder=""
                autocomplete="off" />
            </mat-form-field>
            <div class="remove-action" *ngIf=" selectionArr.controls.length !== 1">
              <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeSelection(i)">-</button>
            </div>
          </li>
        </ul>
      </div>
      <div class="add-action">
        <span><button mat-mini-fab (click)="addSelection()">+</button></span> <span class="text-btn">Add
          Transaction</span>
      </div>
      <div class="button-grp">
        <button class="button button-primary" mat-button
          [disabled]="!hamFormGroup.valid"
          (click)="onSubmitForm()">Submit</button>
      </div>
    </form>
  </mat-card>
</section>
<mat-card class="table-container">
  <h6 *ngIf="pageType === 'housingAllowance'">Housing Allowance History</h6>
  <h6 *ngIf="pageType !== 'housingAllowance'">Travel Allowance History</h6>
  <div class="mat-elevation-z0">
    <table mat-table [dataSource]="dataSource">

      <!-- Payroll Year Column -->
      <ng-container matColumnDef="pk">
        <th mat-header-cell *matHeaderCellDef> Entry ID </th>
        <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
      </ng-container>

      <!-- Process Name Column -->
      <ng-container matColumnDef="employeeId">
        <th mat-header-cell *matHeaderCellDef> Employee Id </th>
        <td mat-cell *matCellDef="let element"> {{element.employeeId ? element.employeeId : '-'}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="empoyeeName">
        <th mat-header-cell *matHeaderCellDef> Empoyee Name </th>
        <td mat-cell *matCellDef="let element"> {{element.empoyeeName ? element.empoyeeName : '-'}} </td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="creationDate">
        <th mat-header-cell *matHeaderCellDef> Creation Date </th>
        <td mat-cell *matCellDef="let element"> {{element.creationDate}} </td>
      </ng-container>
      <!-- Status Column -->
      <ng-container matColumnDef="percentage">
        <th mat-header-cell *matHeaderCellDef> Percentage </th>
        <td mat-cell *matCellDef="let element"> {{element.percentage ? element.percentage : '-'}} </td>
      </ng-container>
      <!-- Status Column -->
      <ng-container matColumnDef="fromGrade">
        <th mat-header-cell *matHeaderCellDef> Grade From </th>
        <td mat-cell *matCellDef="let element"> {{element.fromGrade ? element.fromGrade : '-'}} </td>
      </ng-container>
      <!-- Status Column -->
      <ng-container matColumnDef="toGrade">
        <th mat-header-cell *matHeaderCellDef> Grade To </th>
        <td mat-cell *matCellDef="let element"> {{element.toGrade ? element.toGrade : '-'}} </td>
      </ng-container>
      <!-- Status Column -->
      <ng-container matColumnDef="amount">
        <th mat-header-cell *matHeaderCellDef> Amount </th>
        <td mat-cell *matCellDef="let element"> {{element.amount ? element.amount : '-'}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div>
</mat-card>